{config, ...}: let
  inherit (config.marleycfg.my) name;
in {
  networking = {
    computerName = "mairley";
    hostName = "mairley";
    localHostName = "mairley";
  };

  marleycfg.profiles.desktop = true;

  users = {
    knownUsers = [name];
    users."${name}" = {
      # This is required for some reason.
      uid = 501;

      shell = config.programs.fish.package;
    };
  };

  home-manager.users."${name}" = {
    home.stateVersion = "24.05";
  };

  system.stateVersion = 5;
}
