{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.wget;
in {
  options.marleyos.programs.wget.enable = lib.mkEnableOption "wget";

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      wget
    ];
  };
}
