{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.nh;
in {
  options.marleyos.programs.nh.enable = lib.mkEnableOption "nh";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      nh
    ];
  };
}
