{
  marleylib,
  config,
  osConfig,
  lib,
  ...
}: let
  inherit (marleylib.module) mkEnableOption';

  cfg = config.marleyos.programs.ripgrep;
  osCfg = osConfig.marleyos.programs.ripgrep;
in {
  options.marleyos.programs.ripgrep.enable =
    mkEnableOption' "ripgrep" osCfg.enable;

  config = lib.mkIf cfg.enable {
    programs.ripgrep.enable = true;
  };
}
