{
  lib,
  config,
  pkgs,
  ...
}: {
  config = lib.mkIf (!config.marleycfg.profiles.server) {
    security.rtkit.enable = true; # for pulseaudio

    hardware.pulseaudio.enable = false;

    services = {
      pipewire = {
        enable = true;
        alsa.enable = true;
        pulse.enable = true;
      };
    };

    environment.systemPackages = [pkgs.pwvucontrol];
  };
}
