{config, ...}: {
  config = {
    time.timeZone =
      if config.marleycfg.profiles.server
      then "UTC"
      else "America/Los_Angeles";

    i18n = {
      defaultLocale = "en_US.UTF-8";

      extraLocaleSettings = {
        LC_MESSAGES = "en_US.UTF-8";
        LC_TIME = "de_DE.UTF-8";
      };
    };
  };
}
