{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.btop;
in {
  options.marleyos.programs.btop.enable = lib.mkEnableOption "btop";

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      btop
    ];
  };
}
