{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.ripgrep;
in {
  options.marleyos.programs.ripgrep.enable = lib.mkEnableOption "ripgrep";

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      ripgrep
    ];
  };
}
