{pkgs, ...}: {
  config = {
    nixpkgs.overlays = [(import ../../../overlays/maple-mono-NF.nix)];

    stylix = {
      enable = true;

      base16Scheme = "${pkgs.base16-schemes}/share/themes/rose-pine.yaml";
      override = {slug = "rose-pine";};

      image = ./wallpaper.png;

      fonts = {
        monospace = {
          package = pkgs.maple-mono-NF;
          name = "Maple Mono";
        };

        sizes = {
          terminal = 11;
        };
      };
    };
  };
}
