{
  lib,
  config,
  pkgs,
  ...
}: {
  options.marleyos.shell.xorg.enable = lib.mkEnableOption "xorg";

  config = lib.mkIf (config.marleyos.shell.xorg.enable && pkgs.stdenv.isLinux) {
    xsession = {
      enable = true;

      numlock.enable = true;
    };
  };
}
