{
  pkgs,
  lib,
  config,
  ...
}: {
  config = {
    boot = {
      kernelPackages =
        lib.mkIf (!config.marleycfg.profiles.server)
        pkgs.linuxPackages_xanmod;

      loader = {
        systemd-boot.enable = true;
        efi.canTouchEfiVariables = true;
      };
    };
  };
}
